NoopDataChannelMetaData (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration.xml, class: NoopDataChannelMetaData

# Class NoopDataChannelMetaData

java.lang.Object
org.apache.cayenne.configuration.xml.NoopDataChannelMetaData

All Implemented Interfaces:
  `DataChannelMetaData`

public class NoopDataChannelMetaData extends Object implements DataChannelMetaData
Noop implementation of `DataChannelMetaData`. Used by Cayenne runtime by default as it doesn't need this information.

Since:
  4.1
See Also:
  - `DefaultDataChannelMetaData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoopDataChannelMetaData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(ConfigurationNode key, Object value)`
  Store data for object.
  `<T> T`
  `get(ConfigurationNode key, Class<T> type)`
  Get meta data for object
  `<T> T`
  `remove(ConfigurationNode key, Class<T> type)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoopDataChannelMetaData

    public NoopDataChannelMetaData()

- ## Method Details

  - ### add

    public void add(ConfigurationNode key, Object value)
    Description copied from interface: `DataChannelMetaData`
    Store data for object.
    Specified by:
      `add` in interface `DataChannelMetaData`
    Parameters:
      `key` - object for which we want to store data
      `value` - data to store

  - ### get

    public <T> T get(ConfigurationNode key, Class<T> type)
    Description copied from interface: `DataChannelMetaData`
    Get meta data for object
    Specified by:
      `get` in interface `DataChannelMetaData`
    Type Parameters:
      `T` - meta data type
    Parameters:
      `key` - object for wich we want meta data
      `type` - meta data type class
    Returns:
      value or `null` if no data available

  - ### remove

    public <T> T remove(ConfigurationNode key, Class<T> type)
    Specified by:
      `remove` in interface `DataChannelMetaData`
    Type Parameters:
      `T` - meta data type
    Parameters:
      `key` - object for wich we want meta data
      `type` - meta data type class
    Returns:
      value or `null` if no can't remove